#include <iostream>
using namespace std;

int aps(int a)
{
  if(a>0) return a;
  return -1 * a;
}

int ps(string t)
{
  int b[2];
  b[0] = 0;
  for(int i = 0; i < 2; i++)
  {
    for(int j = b[0]; j < t.length(); j++)
    {
      if(t[j] == 'b')
      {
        b[i] = j;
        break;
      }
    }
  }
  if(aps(b[0] - (t.length()-b[1]-1)) < aps(b[1] - (t.length()-b[0]-1)))
  {
    return aps(b[0] - (t.length()-b[1]-1));
  }
  return aps(b[1] - (t.length()-b[0]-1));
}

int main()
{
  string t;
  cin >> t;
  cout << ps(t);
  return 0;
}